import API from '@/api'

const ModuleApp = {
 state : {
    count: '',
  },
  getters: {
    count: state => state.count,
  },
 mutations : {
    SET_COUNT: (state, count) => {
      state.count = count
    },
  },
  
 actions : {
  
    count({ commit }) {
      return new Promise((resolve) => {
        API.account.countVisit().then(response => {
          const { data } = response
          commit('SET_COUNT', data)
          resolve(data)
        })
      })
    },
  },
}
export default ModuleApp;