const { defineConfig } = require('@vue/cli-service')
module.exports = defineConfig({
  assetsDir: 'static',     //  outputDir的静态资源(js、css、img、fonts)目录
  publicPath: './',   // 静态资源路径（默认/，如果不改打包后会白屏）
  productionSourceMap: false, //不输出map文件
  transpileDependencies: true,
  lintOnSave: false,
  devServer: {
    open: true,
    host: 'localhost',
    port: '8080',
    https: false,
    hot: "only",
    proxy: {
      '/api': {
        target: 'http://127.0.0.1:8088',
        changeOrigin: true,
        pathRewrite: {}
      }
    }
  },
  // chainWebpack: config => {
  //   config.plugin('html').tap(args => {
  //       args[0].title = '四川省公示地价查询平台'
  //       return args
  //   })
  // }
})