import { createRouter, createWebHashHistory,createWebHistory } from "vue-router";

var routes = [
  {
    path: '/',
    name: 'home',
    redirect: '/login'
  },
  {
    path: '/login',
    name: 'Login',
    component: () => import('@/views/login')
  },
  {
    path: '/home',
    name: 'AMap',
    component: () => import('@/views/aMap')
  },
  {
    path: '/area',
    name: 'ChildAreaMap',
    props: { adCode:null,areaName:null,x:null,y:null,serverType:null,serverURI:null },
    component: () => import('@/views/childAreaMap')
  },
  {
    path: '/data',
    name: 'AreaData',
    props: {x:null,y:null,serverType:null,serverURI:null },
    component: () => import('@/views/arcMap')
  },
]

const router = createRouter({
    history: createWebHashHistory(),
    routes,
    base:"/platform"

});
export default router
