import VueCookies from 'vue-cookies'
const TokenKey = 'token'

export function getToken() {
  return VueCookies.get(TokenKey)
}

export function setToken(token) {
  return VueCookies.set(TokenKey, token, 30*60*60)
}

export function removeToken() {
  return VueCookies.remove(TokenKey)
}

